
// ServerSampleDlg.h : header file
//

#pragma once
#include "afxwin.h"
#include "EzSocket.h"


#define BUTTON_STATE_INITIAL   0
#define BUTTON_STATE_ACCEPT    1
#define BUTTON_STATE_CONNECTED 2


// CServerSampleDlg dialog
class CServerSampleDlg : public CDialog
{
// Construction
public:
	CServerSampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_SERVERSAMPLE_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	BOOL			m_bConnected;
	CEzSocket		m_ListenSocket;
	CEzSocket		m_ClientSocket;
	CEdit			m_Edit_Console;
	CButton			m_Button_Listen;
	CButton			m_Button_Disconnect;
	CButton			m_Button_Send;
public:
	void Accept(CEzSocket *Socket, int nErrorCode);
	void ChangeState(int state);
	void SocketClose(CEzSocket *Socket, int nErrorCode);
	void Receive(CEzSocket *Socket, int nErrorCode);
	afx_msg void OnBnClickedButtonListen();
	CEdit m_Edit_Port;
	afx_msg void OnBnClickedButtonDisconnect();
	afx_msg void OnBnClickedButtonSend();
	CButton m_Check_CR;
	CButton m_Check_LF;
	CEdit m_Edit_Send;
};
